/***
   Tstatatur für CW oder PSK.
   Der KX3 wurde über Menue 'RS232' auf 9600 Baud eingestellt
   In der Betriebsart CW, PSK, FSK
   wird der von der Tastatur eingegebene Text
   vom KX3 gesendet.
   [verwendet 6112 Bytes] 
   ( dk2jk  10.2018 )
*/

#include <PS2Keyboard.h>
PS2Keyboard keyboard;
const int DataPin = 3;
const int IRQpin =  2; // ( muss interruptfähig sein )

#include <SoftwareSerial.h>
#define RX 4
#define TX 5
SoftwareSerial ss( RX, TX);
String cmd;

void setup() {
  ss.begin(9600);                       // KX3 Baudrate 
  keyboard.begin(DataPin, IRQpin, PS2Keymap_German);
  Serial.begin(9600);                   // Terminal Baudrate
}

void loop() {
  if (keyboard.available())             // zeichen von Tastatur da?
  { char c = keyboard.read();           // zeichen lesen
    Serial.print(c);                    // zur Kontrolle an Terminal ausgeben
    cmd = ( "KY " + (String)c + ";" ) ; // Kommando zusammenbauen:
    ss.print(cmd);                      // Kommando senden
  }
}
